Report Data CSV

Submits a CSV URL request for given report parameters.
Get data without creating a reusable Reports id
This API is useful for frequently pulling data where the dimensions are always changing and the report created using the Create New Report API is not re-used.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

To poll status of the submitted request call Show CSV request endpoint.

To cancel a request call Delete CSV request endpoint.

⚠️ Processing Request Limits: Maximum 3 concurrent processing requests are allowed per client.

Query Params
string

Advertiser ID.
Required for the roles - Advertiser admin, Account Manager and Analyst.
Enterprise admin users use filters, e.g. "filters": {"advertiser_id": [108993,108994]}

string
required

Start Date, e.g.: 2025-01-30

string
required

End Date of Report, inclusive, e.g.: 2025-01-30

string

Time zone name, e.g., UTC

boolean

Filter out rows where all metrics are zero

string

Sort by a dimension or a metric, e.g., campaign_id or clicks

string

When sorting by an attributed column, what source to use with it

string

When sorting by an attributed column, what attribution type to use with it

string

Sort in ascending (asc) or descending (desc) order

string

JSON object with filters.
Please refer to Supported Parameters.
For example: {"campaign_id": [108993,108994]}

metrics[]
array of strings

Metrics
In-App Events are considered metrics.
Please refer to Supported Parameters

metrics[]
cohort_days[]
array of strings

Cohort day dimensions.
Required when requesting cohort metrics.
Possible values for cohort_days are: 0, 1, 3, 7, 14, 30

cohort_days[]
cohort_user_segments[]
array of strings

Cohort user segment.
Required when requesting cohort metrics
Possible values:
- "ua"
- "rt"

cohort_user_segments[]
attribution_types[]
array of strings

Attribution types, required when requesting attributed metrics.
Possible values: click, view, total

attribution_types[]
group_by[]
array of strings

Dimensions to group by
Please refer to Supported Parameters

group_by[]
date

Start Date of the time interval to compare to

date

End Date of the time interval to compare to

Response
200
Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here!